netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_roman.c File Reference
`#include <stdlib.h>`
`#include <arpa/inet.h>`
`#include <atalk/unicode.h>`
`#include "mac_roman.h"`
`#include "generic_mb.h"`

## Functions
static size_t | mac_roman_pull (void *, char **, size_t *, char **, size_t *)
static size_t | mac_roman_push (void *, char **, size_t *, char **, size_t *)
static int | char_ucs2_to_mac_roman (unsigned char *r, ucs2_t wc)
static int | char_mac_roman_to_ucs2 (ucs2_t *pwc, const unsigned char *s)

## Variables
struct charset_functions | charset_mac_roman

## Function Documentation

## ◆ char_mac_roman_to_ucs2()

int char_mac_roman_to_ucs2 | ( | ucs2_t * | pwc,
|  | const unsigned char * | s )
| static

## ◆ char_ucs2_to_mac_roman()

int char_ucs2_to_mac_roman | ( | unsigned char * | r,
|  | ucs2_t | wc )
| static

## ◆ mac_roman_pull()

size_t mac_roman_pull | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ mac_roman_push()

size_t mac_roman_push | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## Variable Documentation

## ◆ charset_mac_roman

struct charset_functions charset_mac_roman

Initial value:
= {
"MAC_ROMAN",
0,
mac_roman_pull,
mac_roman_push,
CHARSET_CLIENT | CHARSET_MULTIBYTE | CHARSET_PRECOMPOSED,
NULL,
NULL,
NULL
}
mac_roman_pull
static size_t mac_roman_pull(void *, char **, size_t *, char **, size_t *)
Definition mac_roman.c:116
mac_roman_push
static size_t mac_roman_push(void *, char **, size_t *, char **, size_t *)
Definition mac_roman.c:92
CHARSET_PRECOMPOSED
#define CHARSET_PRECOMPOSED
Definition unicode.h:30
CHARSET_MULTIBYTE
#define CHARSET_MULTIBYTE
Definition unicode.h:32
CHARSET_CLIENT
#define CHARSET_CLIENT
Definition unicode.h:28
NULL
#define NULL
Definition utf8util.c:47